//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules

BYTE cmd01[] = {
	0x00,	         // Command byte
//	0x06,0x5b,0x4f,0x66,0x6d,0x7d,0x07,0x00
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
};
BYTE cmd02[] = {
	0x15	         // Command byte
};

void main(void){
    BYTE s;
	int i;

	I2Cm_1_Start();
	LED_1_Start();
	for(i = 0; i < 10000; i++);
	for(i = 0; i < 10000; i++){
		int j;
		
		cmd01[1] = cmd01[1] + 1;
		cmd01[2] = cmd01[2] + 1;
		cmd01[3] = cmd01[3] + 1;
		cmd01[4] = cmd01[4] + 1;
		cmd01[5] = cmd01[5] + 1;
		cmd01[6] = cmd01[6] + 1;
		cmd01[7] = cmd01[7] + 1;
		cmd01[8] = cmd01[8] + 1;
		s = I2Cm_1_bWriteBytes(0x07, cmd01, sizeof(cmd01), I2Cm_1_CompleteXfer);
		if (s) {
			LED_1_Off();
		} else {
			LED_1_On();
		}
		s = I2Cm_1_bWriteBytes(0x09, cmd01, sizeof(cmd01), I2Cm_1_CompleteXfer);
		if (s) {
			LED_2_Off();
		} else {
			LED_2_On();
		}
		cmd02[0] = (((unsigned char)i >> 1) & 0x3) + 0x10;
		s = I2Cm_1_bWriteBytes(0x09, cmd02, sizeof(cmd02), I2Cm_1_CompleteXfer);
		for(j = 0; j < 30000; j++);
	}
}
